Skip to main content
GET
/
indexer
/
tx
/
v1
/
evm-txs
Get EVM transactions
curl --request GET \
  --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs
{
  "txs": [
    {
      "blockHash": "<string>",
      "blockNumber": "<string>",
      "contractAddress": "<string>",
      "cumulativeGasUsed": "<string>",
      "effectiveGasPrice": "<string>",
      "from": "<string>",
      "gasUsed": "<string>",
      "logs": [
        {
          "address": "<string>",
          "topics": [
            "<string>"
          ],
          "data": "<string>",
          "blockNumber": "<string>",
          "transactionHash": "<string>",
          "transactionIndex": "<string>",
          "blockHash": "<string>",
          "logIndex": "<string>",
          "removed": true
        }
      ],
      "logsBloom": "<string>",
      "status": "<string>",
      "to": "<string>",
      "transactionHash": "<string>",
      "transactionIndex": "<string>",
      "type": "<string>"
    }
  ],
  "pagination": {
    "previous_key": "<string>",
    "next_key": "<string>",
    "total": "<string>"
  }
}

Query Parameters

pagination.key
string

Cursor key for pagination.

pagination.offset
integer

Number of records to skip.

pagination.limit
integer
default:100

Maximum number of records to return. Defaults to 100.

pagination.count_total
boolean
default:true

Whether to return the total count. Defaults to true.

pagination.reverse
boolean
default:true

When true, returns results in descending order. Defaults to true.

Response

Successful response

txs
object[]
pagination
object

Pagination metadata for list responses.